Home | Namespaces | Hierarchy | Alphabetical List | Class list | Files | Namespace Members | Class members | File members | Tutorials

# irr::gui::IGUIFileOpenDialog Class Reference

Standard file chooser dialog. More...

`#include <IGUIFileOpenDialog.h>`

Inheritance diagram for irr::gui::IGUIFileOpenDialog:

List of all members.

## Public Member Functions

virtual const io::path & | getDirectoryName ()=0
| Returns the directory of the selected file. Returns NULL, if no directory was selected.
virtual const wchar_t * | getFileName () const =0
| Returns the filename of the selected file. Returns NULL, if no file was selected.
| IGUIFileOpenDialog (IGUIEnvironment *environment, IGUIElement *parent, s32 id, core::rect< s32 > rectangle)
| constructor

## Detailed Description

Standard file chooser dialog.

Definition at line 17 of file IGUIFileOpenDialog.h.

## Constructor & Destructor Documentation

irr::gui::IGUIFileOpenDialog::IGUIFileOpenDialog | ( | IGUIEnvironment * | environment,
|  | IGUIElement * | parent,
|  | s32 | id,
|  | core::rect< s32 > | rectangle |
| ) |  |  | `[inline]`

constructor

Definition at line 22 of file IGUIFileOpenDialog.h.

## Member Function Documentation

virtual const io::path& irr::gui::IGUIFileOpenDialog::getDirectoryName | ( |  | ) | `[pure virtual]`

Returns the directory of the selected file. Returns NULL, if no directory was selected.

virtual const wchar_t* irr::gui::IGUIFileOpenDialog::getFileName | ( |  | ) | const`[pure virtual]`

Returns the filename of the selected file. Returns NULL, if no file was selected.

The documentation for this class was generated from the following file:

- IGUIFileOpenDialog.h

| The Irrlicht Engine Documentation © 2003-2010 by Nikolaus Gebhardt. Generated on Sun Feb 14 13:07:05 2010 by Doxygen (1.6.2)